Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beans
Class RMSequenceBean

    java.lang.Object
      org.apache.sandesha2.storage.beans.RMBean
          org.apache.sandesha2.storage.beans.RMSequenceBean

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RMDBean, RMSBean

    public class RMSequenceBean

extends RMBean

This bean is used at the receiving side (of both server and client) There is one entry for each sequence.

See Also:
  Serialized Form

Field Summary
`static int` | `CLOSED_FLAG`
`static int` | `LAST_ACTIVATED_TIME_FLAG`
`static int` | `POLLING_MODE_FLAG`
`static int` | `TERMINATED_FLAG`

Constructor Summary
`RMSequenceBean()`
`RMSequenceBean(RMSequenceBean beanToCopy)` Constructor that copies all RMSBean values from the RMSBean supplied
`RMSequenceBean(java.lang.String sequenceID)`

Method Summary
`org.apache.axis2.addressing.EndpointReference` | `getAcksToEndpointReference()`
`java.lang.String` | `getAcksToEPR()` Deprecated.
`int` | `getFlags()`
`long` | `getLastActivatedTime()`
`org.apache.axis2.addressing.EndpointReference` | `getReplyToEndpointReference()`
`java.lang.String` | `getReplyToEPR()` Deprecated.
`java.lang.String` | `getRMVersion()`
`java.lang.String` | `getSecurityTokenData()`
`java.lang.String` | `getSequenceID()`
`java.lang.String` | `getServiceName()`
`org.apache.axis2.addressing.EndpointReference` | `getToEndpointReference()`
`java.lang.String` | `getToEPR()` Deprecated.
`boolean` | `isClosed()`
`boolean` | `isPollingMode()`
`boolean` | `isTerminated()`
`boolean` | `match(RMBean matchInfo)` Check to see if this bean matches the match criteria passed in as matchInfo.
`void` | `setAcksToEndpointReference(org.apache.axis2.addressing.EndpointReference acksToEndpointRef)`
`void` | `setAcksToEPR(java.lang.String acksToEPR)` Deprecated.
`void` | `setClosed(boolean closed)`
`void` | `setFlags(int flags)`
`void` | `setLastActivatedTime(long lastActivatedTime)`
`void` | `setPollingMode(boolean pollingMode)`
`void` | `setReplyToEndpointReference(org.apache.axis2.addressing.EndpointReference replyToEndpointRef)`
`void` | `setReplyToEPR(java.lang.String replyToEPR)` Deprecated.
`void` | `setRMVersion(java.lang.String version)`
`void` | `setSecurityTokenData(java.lang.String securityTokenData)`
`void` | `setSequenceID(java.lang.String sequenceID)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setTerminated(boolean terminated)`
`void` | `setToEndpointReference(org.apache.axis2.addressing.EndpointReference toEndpointRef)`
`void` | `setToEPR(java.lang.String toEPR)` Deprecated.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.sandesha2.storage.beans.RMBean
`getId, getTransaction, setId, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LAST_ACTIVATED_TIME_FLAG

    public static final int LAST_ACTIVATED_TIME_FLAG

See Also:
  Constant Field Values

### CLOSED_FLAG

    public static final int CLOSED_FLAG

See Also:
  Constant Field Values

### TERMINATED_FLAG

    public static final int TERMINATED_FLAG

See Also:
  Constant Field Values

### POLLING_MODE_FLAG

    public static final int POLLING_MODE_FLAG

See Also:
  Constant Field Values

Constructor Detail

### RMSequenceBean

    public RMSequenceBean()

### RMSequenceBean

    public RMSequenceBean(RMSequenceBean beanToCopy)

  Constructor that copies all RMSBean values from the RMSBean supplied

  Parameters:
    `beanToCopy` -

### RMSequenceBean

    public RMSequenceBean(java.lang.String sequenceID)

Method Detail

### getSequenceID

    public java.lang.String getSequenceID()

  Returns:
    Returns the sequenceId.

### setSequenceID

    public void setSequenceID(java.lang.String sequenceID)

  Parameters:
    `sequenceId` - The sequenceId to set.

### getAcksToEPR

    public java.lang.String getAcksToEPR()

  Deprecated.

### getAcksToEndpointReference

    public org.apache.axis2.addressing.EndpointReference getAcksToEndpointReference()

### setAcksToEPR

    public void setAcksToEPR(java.lang.String acksToEPR)

  Deprecated.

### setAcksToEndpointReference

    public void setAcksToEndpointReference(org.apache.axis2.addressing.EndpointReference acksToEndpointRef)

### getReplyToEPR

    public java.lang.String getReplyToEPR()

  Deprecated.

### getReplyToEndpointReference

    public org.apache.axis2.addressing.EndpointReference getReplyToEndpointReference()

### setReplyToEPR

    public void setReplyToEPR(java.lang.String replyToEPR)

  Deprecated.

### setReplyToEndpointReference

    public void setReplyToEndpointReference(org.apache.axis2.addressing.EndpointReference replyToEndpointRef)

### getToEPR

    public java.lang.String getToEPR()

  Deprecated.

### getToEndpointReference

    public org.apache.axis2.addressing.EndpointReference getToEndpointReference()

### setToEPR

    public void setToEPR(java.lang.String toEPR)

  Deprecated.

### setToEndpointReference

    public void setToEndpointReference(org.apache.axis2.addressing.EndpointReference toEndpointRef)

### isPollingMode

    public boolean isPollingMode()

### setPollingMode

    public void setPollingMode(boolean pollingMode)

### isClosed

    public boolean isClosed()

### setClosed

    public void setClosed(boolean closed)

### isTerminated

    public boolean isTerminated()

### setTerminated

    public void setTerminated(boolean terminated)

### getLastActivatedTime

    public long getLastActivatedTime()

### setLastActivatedTime

    public void setLastActivatedTime(long lastActivatedTime)

### getRMVersion

    public java.lang.String getRMVersion()

### setRMVersion

    public void setRMVersion(java.lang.String version)

### getSecurityTokenData

    public java.lang.String getSecurityTokenData()

### setSecurityTokenData

    public void setSecurityTokenData(java.lang.String securityTokenData)

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String serviceName)

### getFlags

    public int getFlags()

### setFlags

    public void setFlags(int flags)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### match

    public boolean match(RMBean matchInfo)

  Description copied from class: `RMBean`
  Check to see if this bean matches the match criteria passed in as matchInfo. In order for a property of the bean to be checked you must set the property on the matchInfo.

  Specified by:
    `match` in class `RMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.